# Package Denial Reason Services

This document covers all services related to package denial reasons, requests, and responses for these services.

### Status Codes

The following status codes returns in the response message body of the request.

* **200 OK:** The request was successful and the requested resource is returned in the response.
* **204 No Content:** The request was successful and there is no content to be returned.
* **400 Bad Request:** The request was malformed or missing, false given required parameters.
* **401 Unauthorized:** The requested user is not authorized to access the requested resource.
* **403 Forbidden:** The server understands the request, but the client is not authorized to access the requested resource.
* **406 Not Acceptable:** The server cannot produce a response matching the list of acceptable values defined in the request's headers.
* **429 Too Many Requests:** Made too many requests in a given amount of time and the server is rate limiting the request.
* **500 Internal Server Error:** An unexpected error occurred on the server.

### `GET` Package Denial Reason List

Returns a detailed list of package denial reasons.

**Path:** `/api/v1/oms/package-denial-reason/`

**Request**

* Headers:
* Authorization: Token
* Content-Type: application/json
* Request Body: None

**Response (200 OK)**

```json
{
  "count": 3,
  "next": null,
  "previous": null,
  "results": [
    {
      "id": 34,
      "title": "Urun Eksik",
      "remote_id": null,
      "priority": 1,
      "is_active": true
    },
    {
      "id": 67,
      "title": "hatalı ürün",
      "remote_id": null,
      "priority": 1,
      "is_active": true
    },
    {
      "id": 1,
      "title": "Test",
      "remote_id": "Ek Bilgi Test",
      "priority": 1,
      "is_active": true
    }
  ]
}
```

**Response Description:**

A detailed list of package denial reasons is transmitted in the message body.

### `GET` Package Denial Reason Simple List

This service is added for the BI tool.

**Path:** `/api/v1/oms/package-denial-reason/list-simple/`

**Request**

* Headers:
* Authorization: Token
* Content-Type: application/json
* Request Body: None

**Response (200 OK)**

```json
{
  "count": 3,
  "next": null,
  "previous": null,
  "results": [
    {
      "id": 34,
      "created_date": "2022-08-17T07:04:19.927013Z",
      "modified_date": "2022-08-17T07:04:19.927064Z",
      "title": "Urun Eksik",
      "remote_id": null,
      "priority": 1,
      "is_active": true
    },
    {
      "id": 67,
      "created_date": "2022-11-03T10:33:43.604431Z",
      "modified_date": "2022-11-03T10:33:43.604449Z",
      "title": "hatalı ürün",
      "remote_id": null,
      "priority": 1,
      "is_active": true
    },
    {
      "id": 1,
      "created_date": "2022-04-04T14:20:35.933385Z",
      "modified_date": "2023-01-03T09:37:29.466456Z",
      "title": "Test",
      "remote_id": "Ek Bilgi Test",
      "priority": 1,
      "is_active": true
    }
  ]
}
```

**Response Description:**

Same as the response in the [Package Denial Reason List](broken://pages/UCtRvD97IDW7rCdyIArh). Only two parameters `created_date` and `modified_date` are added to the response.

### `GET` Package Denial Reason Detail

Returns the detailed information of a single package denial reason with pk (ID).

**Path:** `/api/v1/oms/package-denial-reason/pk/`

**Request**

* Headers:
* Authorization: Token
* Content-Type: application/json
* Request Body: None

**Response (200 OK)**

```json
{
  "id": 1,
  "title": "Test",
  "remote_id": "Ek Bilgi Test",
  "priority": 1,
  "is_active": true
}
```

**Response Description:**

A detailed information about the given package denial reason is transmitted in the message body.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/oms/package-denial-reason-services.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
